Kaiten
Featureflags

Update a featureflag

Update a featureflag with the provided details

PUT
/feature-flags/{featureFlagSlug}

Path Parameters

featureFlagSlug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://demo.kaiten.sh/feature-flags/string" \  -H "Content-Type: application/json" \  -d '{    "default_variant": {      "type": "basic",      "value": "string"    },    "description": "This is a new feature flag",    "enabled": true,    "event_name": "feature_flag_event",    "metadata": {      "property1": null,      "property2": null    },    "name": "New Feature",    "targetings": [      {        "name": "Targeting Rule 1",        "rule": "user.group == \'beta\'",        "type": "basic",        "variant": "string"      }    ],    "type": "boolean",    "variants": [      {        "description": "string",        "name": "string",        "value": null      }    ]  }'
Empty
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}